-- 评论item
Lua_HeroCommentItem = class("Lua_HeroCommentItem", Lua_ListCell);
function Lua_HeroCommentItem:ctor(p)
    self:superCall("ctor", p,"HeroCommentItem_skin");
end

function Lua_HeroCommentItem:buildShowItem()
    self:superCall("buildShowItem");
    self.praise:addClickFuntion(self, self.onPraiseBtnClick);
    self.criticize:addClickFuntion(self, self.onCriticizeBtnClick);
end

function Lua_HeroCommentItem:setData(data)
    self.data = data;
    self.name.text = data.name;
    self.praise_num.text = data.up;
    self.criticize_num.text = data.down;
    self.dec.text = data.comment;
    if data.interact == 0 then
        self.praise:setAltas("iconantlas2","Star_icon_039");
        self.criticize:setAltas("iconantlas2","Star_icon_039");
    elseif data.interact == 2 then
        self.praise:setAltas("iconantlas2","Star_icon_040");
        self.criticize:setAltas("iconantlas2","Star_icon_041");
    elseif data.interact == 1 then
        self.praise:setAltas("iconantlas2","Star_icon_041");
        self.criticize:setAltas("iconantlas2","Star_icon_040");
    end
end

function Lua_HeroCommentItem:onPraiseBtnClick()
    if self.data.interact ~= 0 then
        OperateAlert.showLangValue(126032);
        return;
    end
    Lua_MsgUtil.callFunc("ON_PRAISE_BTN_CLICK", self.data.id);
end

function Lua_HeroCommentItem:onCriticizeBtnClick()
    if self.data.interact ~= 0 then
        OperateAlert.showLangValue(126032);
        return;
    end
    Lua_MsgUtil.callFunc("ON_CRITICIZ_BTN_CLICK", self.data.id);
end

function Lua_HeroCommentItem:dispose()
    self.data = nil;
    self:superCall("dispose");
end