-- 英雄技能item
Lua_HeroSkillItem = class("Lua_HeroSkillItem", Lua_DisplayObject);
function Lua_HeroSkillItem:ctor(p)
    self:superCall("ctor", p, "HeroSkillItem_skin");
end

function Lua_HeroSkillItem:buildShowItem()
    self:superCall("buildShowItem");
    self.lvl_bg:setEnable(false);
    self.skill_lvl:setEnable(false);

    self.skill_icon:setEnable(false);
    self.skill_icon:addClickFuntion(self, self.onBtnClick);
end

function Lua_HeroSkillItem:setData(data)
    self.data = data;
    self.skill_icon:setEnable(true);
    self.skill_lvl.text = data.skill_level;
    self.skill_icon:setAltas(data.skillVo.atlas, data.skillVo.sprite);
    
    if data.skill_level == 0 then
        self.lvl_bg:setEnable(false);
        self.skill_lvl:setEnable(false);
        self.skill_icon:setGray(true);
    else
        self.lvl_bg:setEnable(true);
        self.skill_lvl:setEnable(true);
        self.skill_icon:setGray(false);
    end
end

function Lua_HeroSkillItem:onBtnClick(val)
    local list = {skillVo = self.data.skillVo, skill_level = self.data.skill_level, unlock_type = 1};
    Lua_WindowUtil.openWin("Lua_SkillTipsWindow", Lua_WinParam.ACTION_OPEN, list);
end

function Lua_HeroSkillItem:dispose()
    self.data = nil;
    self:superCall("dispose");
end