-- 试用英雄 提示item
Lua_HeroTrialTipItem = class("Lua_HeroTrialTipItem", Lua_DisplayObject);

function Lua_HeroTrialTipItem:ctor(p)
    self:superCall("ctor", p, "HeroTrialTipItem_skin");
end

function Lua_HeroTrialTipItem:buildShowItem()
    self:superCall("buildShowItem");

    self.tipIcon:addClickFuntion(self, self.onTipIconClick);
end

function Lua_HeroTrialTipItem:dispose()
    self:removeTimer(self, self.onTimer);
    self:superCall("dispose");
end

function Lua_HeroTrialTipItem:setData(heroVo)
    if heroVo ~= nil then
        self.time = heroVo.trial_tick - DataCenter.roleData.serverTime + 1;
        self:onTimer();
    else
        if self.isTimer then
            self.isTimer = false;
            self:removeTimer(self, self.onTimer);
        end
    end
end

function Lua_HeroTrialTipItem:onTimer()
    self.time = self.time - 1;
    if self.time < 0 then
        self.time = 0;
    end
    self.timeTxt.text = LanUtil.formateStr("试用时间：{1}", Lua_TimeTransform.transSeconds9(self.time));

    if self.time > 0 then
        if not self.isTimer then
            self.isTimer = true;
            self:addTimer("onTimer", 1, self, self.onTimer);
        end
    else
        if self.isTimer then
            self.isTimer = false;
            self:removeTimer(self, self.onTimer);
        end
    end
end

function Lua_HeroTrialTipItem:onTipIconClick()
    local tipsData = { des = "英雄试用提示", posX = 160, posY = -95 };
    Lua_WindowUtil.openWin("Lua_InstructionTipsWindow", Lua_WinParam.ACTION_OPEN, tipsData);
end